libnss-db (2.2.3pre1-6build7) groovy; urgency=high

  * No change rebuild against glibc 2.32

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 10 Sep 2020 14:28:28 +0200

libnss-db (2.2.3pre1-6build6) focal; urgency=medium

  * No-change rebuild for glibc 2.31.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 12:18:37 +0100

libnss-db (2.2.3pre1-6build5) eoan; urgency=medium

  * No-change rebuild for glibc 2.30

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Aug 2019 01:38:12 +0000

libnss-db (2.2.3pre1-6build4) disco; urgency=medium

  * No-change rebuild for glibc 2.29

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Feb 2019 08:50:23 +0100

libnss-db (2.2.3pre1-6build3) cosmic; urgency=medium

  * No-change rebuild for glibc 2.28

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Aug 2018 07:27:45 +0200

libnss-db (2.2.3pre1-6build2) bionic; urgency=medium

  * No-change rebuild for glibc 2.27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Feb 2018 19:30:03 -0800

libnss-db (2.2.3pre1-6build1) artful; urgency=medium

  * No-change upload to build with glibc-2.26.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 22:36:01 +0200

libnss-db (2.2.3pre1-6) unstable; urgency=medium

  * QA upload.
  * Bump debhelper and standards versions.
  * Enable parallel builds.
  * Move shared libraries into the multiarch location. Closes: #639496.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 20:57:08 +0200

libnss-db (2.2.3pre1-5) unstable; urgency=low

  * QA upload.
  * Remove old debian/packages file, unused since conversion from yada.
  * Convert to source format 3.0 (quilt) (closes: #679676).  Add po/Makevars
    to 080-translations.patch.  Refresh all patches.
  * Use dh_installman to install makedb.1.
  * Add debhelper token to libnss-db.postinst.
  * Link to a versioned copy of the GPL in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Oct 2012 00:29:58 +0100

libnss-db (2.2.3pre1-4) unstable; urgency=low

  * QA upload.
  * Switch maintainer to Debian QA group (see #636733)
  * Switch from yada to dh (closes: #636891).

 -- Julien Cristau <jcristau@debian.org>  Sun, 19 Feb 2012 18:02:37 +0100

libnss-db (2.2.3pre1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depends on libdb-dev (>> 4.6) instead of libdb4.6-dev.  Closes:
    #548484.
  * Fix security issue which allows to read arbitrary file contents
    (CVE-2010-0826), patch taken from Ubuntu. Closes: #577057.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 May 2011 07:31:48 +0200

libnss-db (2.2.3pre1-3.1) unstable; urgency=low

  * Porter NMU for GNU/kFreeBSD.
  * Update config.guess/sub from autotools-dev. Closes: #528325.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Jul 2009 02:06:56 +0200

libnss-db (2.2.3pre1-3) unstable; urgency=low

  * Applied all NMU patches. Closes: #460339, #460851, #344277, #361464,
    #379621, #441624, #391517.
  * Fixed bad 010-db2_upgrade_code.patch which broke this package.
    Closes: #460963.
  * Add Swedish translation to 080-translations.patch. Closes: #386615.
  * Updated 070-selinux.patch based on the latest Fedora.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 16 Jan 2008 17:22:21 +0100

libnss-db (2.2.3pre1-2.2) unstable; urgency=low

  * Non-maintainer upload to fix bugs introduced in the previous NMU.
  * Merge patch from Steve Langasek Closes: #460339
    + Bump Standards-Version to 3.7.3.
    + Removed 020-db4.3_usage.patch:
      - Linking with -ldb works fine, and lets us switch to db4.6.
    + Use bash for install, not sh, so that the current pushd usage
      doesn't cause a build failure when /bin/sh isn't bash.
      Closes: #379621.
    + Modified 070-selinux.patch:
      - Comparing x$selinux to "xno" works better than comparing it to
        "no"; fixes build failures on non-Linux archs.  Closes: #344277.
    + Modified 010-db2_upgrade_code.patch:
     - Only call db->upgrade if db->open return DB_OLD_VERSION.  Thanks
       to Dann Frazier <dannf@debian.org> for the patch.  Closes: #391517,
       #460851.
     - Merge 040-db4.3_api_change.patch into this one, since having
       multiple patches patching the same line is annoying.
  * debian/packages: use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM;
    needed to avoid accidental SELinux-less misbuilds if SELinux support is
    broken.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 11:36:50 +0100

libnss-db (2.2.3pre1-2.1) unstable; urgency=low

  * Non-maintainer upload from the Zürich BSP.
  * Don't build-depends on libselinux1-dev on kfreebsd-amd64. Closes:
    #361464.
  * Apply patch by Steve Langasek to switch to db4.6 (Closes: #441624):
    - Replaced 040-db4.3_api_change.patch with 040-db4.patch,
      020-db4.3_usage.patch with 020-db4.patch.
  * Add Swedish translation from Daniel Nylander (Closes: #386615).
  * Fix selinux detection in debian/patches/070-selinux.patch (Closes: 
    #344277).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Jan 2008 13:16:01 +0100

libnss-db (2.2.3pre1-2) unstable; urgency=high

  * Renumbered Debian patches.
  * Modified 060-errno.patch:
    - Do not remove errnop variable. It causes fatal error on amd64. Just
      set errno to ENOENT by default. Closes: #341773.
  * Modified 070-selinux.patch:
    - Fix configure script for SELinux and fix FTBFS on hurd-i386.
      Closes: #322190.
  * Removed 120-gettextize.patch:
    - Call gettextize in build time with a little help of IPC::Run.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 19 Dec 2005 11:45:15 +0100

libnss-db (2.2.3pre1-1) unstable; urgency=low

  * New maintainer release. Closes bugs fixed by previous NMUs.
    Closes: #146707, #165298, #168532, #173082, #284859, #309492.
  * New upstrem release.
  * The source package converted to yada.
  * The source is adapted to the latest automake. Closes: #114936.
  * debian/packages:
    - Build-Depends: autoconf, automake1.9, libtool, gettext, perl, libdb4.3-dev, libselinux1-dev
    - Install library into /usr/lib as far as it requires libdb4.3 from /usr/lib.
    - Detect _PATH_VARDB and install there db-Makefile. Closes: #316573.
    - Changed package description. Closes: #314909.
  * Removed 000_libtool_upgrade.diff:
    - Not necessary with new upstream.
  * Replaced 002_db3_usage.diff by 002-db4.3_usage.patch:
    - Compile against libdb4.3-dev.
  * Replaced 003_no_internal_libc.diff by 003-no_internal_libc.patch:
    - The patch from Fedora: doesn't get to use internal interfaces.
  * Added 004-db4.3_api_change.patch:
    - Use new interface for db->open()
  * Added 005-initialize_all_fields.patch:
    - The patch from Fedora: Initialize all of the fields of the key to zeroes,
      so that we don't pass garbage keys in to later versions of Berkeley DB.
  * Added 006-errno.patch:
    - The patch based on Fedora
    - set errno to ENOENT by default so that we don't leave stale errno values
      around in error cases
    - clear the entire key DBT before handing it to a get() function
    - set errno to ENOENT when returning NSS_STATUS_NOTFOUND
  * Added 007-selinux.patch:
    - Set the SELinux file creation context when opening databases for write
      access. Note that this does *not* change the context of existing files.
  * Added 008-translations.patch:
    - Missing translations for makedb.
  * Added 009-automake_AC_CANONICAL_HOST.patch:
    - Remove AC_CANONICAL_HOST for new automake.
  * Added 010-automake_libtool.patch:
    - Automake doesn't know how to compile a single file both with and without
      libtool. So fake it.
  * Added 011-automake_install-data-local.patch:
    - Call install-slibLTLIBRARIES before install-data-local.
  * Added 012-gettextize.patch:
    - Updated for the newer gettext. Generated by
      `gettextize --force --copy --no-changelog --intl && rm -f *~ intl/*~ m4/*.in'
  * debian/man/makedb.pod:
    - Better formatting.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 18 Jul 2005 14:39:43 +0200

libnss-db (2.2-6.3) unstable; urgency=medium

  * NMU
  * debian/local/db-Makefile:
    - Set correct umask before creating files. Closes: #284859.
  * debian/packages.d/libnss-db.in: %postinst%:
    - Don't remove *.db files on upgrade. It can break the system if the files
      are not generated locally. Closes: #309492.
    - Use `invoke-rc.d nscd restart'.
  * debian/rules:
    - The symlink in /usr/lib should be absolute.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 23 May 2005 15:37:00 +0200

libnss-db (2.2-6.2) unstable; urgency=low

  * NMU
  * debian/patches/003_no_internal_libc.diff:
      - Fix libc-lock.h to work on hppa (closes: #173082)
      - include errno.h in db-XXX.c (closes: #168532)
  * Remove duplicated "been" in description (closes: #146707)
  * Change automake build-depends to automake1.4

 -- Ryan Murray <rmurray@debian.org>  Sun, 23 Feb 2003 20:23:16 -0800

libnss-db (2.2-6.1.1) unstable; urgency=low

  * BinNMU to compile against glibc 2.3.1

 -- Othmar Pasteka <othmar@debian.org>  Tue,  4 Feb 2003 11:07:21 +0100

libnss-db (2.2-6.1) unstable; urgency=low

  * NMU
  * Change autoconf build-dep to autoconf2.13
  * Added 003_no_internal_libc.diff from Daniel
    Jacobowitz <dan@debian.org>. closes: #165298

 -- Randolph Chung <tausq@debian.org>  Sun,  1 Dec 2002 09:31:44 -0800

libnss-db (2.2-6) unstable; urgency=low

  * Rebuild with newer libdb3

 -- Ben Collins <bcollins@debian.org>  Fri, 12 Apr 2002 13:12:29 -0400

libnss-db (2.2-5) unstable; urgency=low

  * Remove libc6-dev build-dep. It was there to make sure it built with a
    newer libc. That's pretty moot now. closes: #108643

 -- Ben Collins <bcollins@debian.org>  Mon, 13 Aug 2001 21:24:06 -0400

libnss-db (2.2-4) unstable; urgency=low

  * Call libtoolize before autoconf, closes: #101428

 -- Ben Collins <bcollins@debian.org>  Fri, 10 Aug 2001 12:33:20 -0400

libnss-db (2.2-3) unstable; urgency=low

  * Urf, my db2->db3 upgrade code doesn't work for non-root in this case.
    Leave it, but don't let it fail. Also, make sure we rebuild the db's
    on upgrades.
  * Add manpage for makedb.1
  * Created a etc/default/libnss-db to hold the configurable parts of the
    db Makefile. Make that new file a conffile, and not Makefile, #92283

 -- Ben Collins <bcollins@debian.org>  Sun,  1 Apr 2001 22:29:26 -0400

libnss-db (2.2-2) unstable; urgency=low

  * Restart nscd if we move the db's, closes: #35844
  * Added more build-depends, closes: #90207
  * libdb2 is now in /lib, closes: #81212, #72647
  * Update libtool, closes: #77950
  * db-Makefile: set ETC to /etc, and use it throughout. closes: #78579
  * Build-Dep on db3 now, and compile against that.
  * Make /var/lib/misc/Makefile a conffile, since the user may want to
    modify it.
  * Depend on make, it's needed to generate the .db's
  * Add patch to call DB->upgrade() after creating and before opening the
    .db, so it is automatically upgraded to the db3 on-disk format.

 -- Ben Collins <bcollins@debian.org>  Sun, 25 Mar 2001 09:47:06 -0500

libnss-db (2.2-1) unstable; urgency=low

  * New upstream version
  * Remove the Essential flag, instead we will allow libc6 to suggest us

 -- Ben Collins <bcollins@debian.org>  Wed, 15 Nov 2000 21:54:08 -0500

libnss-db (2.1.92-3) unstable; urgency=low

  * Make libnss-db essential

 -- Ben Collins <bcollins@debian.org>  Tue,  7 Nov 2000 19:03:39 -0500

libnss-db (2.1.92-2) unstable; urgency=low

  * Fix silly copyright problem

 -- Ben Collins <bcollins@debian.org>  Tue, 26 Sep 2000 16:17:09 -0400

libnss-db (2.1.92-1) unstable; urgency=low

  * Original packaging, split from glibc upstream (2.1.93)

 -- Ben Collins <bcollins@debian.org>  Mon, 11 Sep 2000 14:58:01 -0400
